CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes
cppcms::views Namespace Reference

this namespace holds all classes used for rendering CppCMS views. More...

## Classes
class | generator
| The class that represents a single skin and generates its views. More...
class | manager
| This class controls the views used my application it knows to load them dynamically and reload if needed. More...
class | pool
| This is a singleton object that holds all views in the process. Any view is registered and unregistered via this object. More...
class | view_lock
| A class that allows to use the view withing the internal lock used inside pool class. More...

## Detailed Description

this namespace holds all classes used for rendering CppCMS views.